> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 列出账户

> 列出公共 API 主体 可见的客户账户。

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.zh-cn.json GET /v1/public/accounts
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts:
    get:
      tags:
        - public-accounts
      summary: 列出账户
      description: 列出公共 API 主体 可见的客户账户。
      operationId: list_public_accounts_v1_public_accounts_get
      parameters:
        - in: query
          name: client_id
          required: false
          schema:
            anyOf:
              - format: uuid
                type: string
              - type: 'null'
            title: Client Id
        - in: query
          name: status
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Status
        - in: query
          name: page
          required: false
          schema:
            default: 1
            title: Page
            type: integer
        - in: query
          name: page_size
          required: false
          schema:
            default: 25
            title: Page Size
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountListResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 验证错误
      security:
        - PublicBearerAuth: []
components:
  schemas:
    AccountListResponse:
      properties:
        items:
          description: 此页面上的帐户
          items:
            $ref: '#/components/schemas/AccountResponse'
          title: 项目
          type: array
        page:
          description: 当前从一开始的页码
          title: 页面
          type: integer
        page_size:
          description: 每页最大项目数
          title: 页面大小
          type: integer
        total:
          description: 匹配账户总数
          title: 总计
          type: integer
      required:
        - items
        - page
        - page_size
        - total
      title: AccountListResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: 详情
          type: array
      title: HTTPValidationError
      type: object
    AccountResponse:
      properties:
        client:
          $ref: '#/components/schemas/AccountClientSummary'
          description: 拥有该帐户的客户
        created_at:
          description: 帐户创建时间戳
          format: date-time
          title: 创建时间
          type: string
        id:
          description: 账户 UUID
          format: uuid
          title: ID
          type: string
        name:
          description: 帐户显示名称
          title: 名称
          type: string
        status:
          description: 账户生命周期状态
          title: 状态
          type: string
        updated_at:
          description: 帐户上次更新时间戳
          format: date-time
          title: 更新时间
          type: string
      required:
        - id
        - name
        - client
        - status
        - created_at
        - updated_at
      title: AccountResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: 位置
          type: array
        msg:
          title: 消息
          type: string
        type:
          title: 错误类型
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    AccountClientSummary:
      description: 嵌入账户响应中的结构化客户摘要。
      properties:
        id:
          description: 客户 UUID
          format: uuid
          title: ID
          type: string
        name:
          description: 客户端显示名称
          title: 名称
          type: string
      required:
        - id
        - name
      title: AccountClientSummary
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````